Arch: Convertire un oggetto mesh in un solido

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch MeshToShape and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Arch SplitMesh.svg Dividi Mesh Pagina precedente:
Pagina successiva: Seleziona le mesh non-solid Arch SelectNonManifold.svg Arrow-right.svg

Arch MeshToShape.svg Da Mesh a Forma

Nome nel codice
Arch MeshToShape
Posizione nel menu
Arch → Utilità → Da Mesh a Forma
Ambiente
Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Dividi mesh, Rimuovi Forma


Descrizione

Da Mesh a Forma converte un oggetto Mesh (Mesh Feature) selezionato in un oggetto Forma (Part Feature).

Questo strumento è ottimizzato per oggetti con facce piane (senza curve). Lo strumento corrispondente Part ShapeFromMesh.svg Crea forma da mesh dell'ambiente Workbench Part.svg Parte potrebbe essere più adatto per oggetti che contengono superfici curve.

Utilizzo

  1. Selezionare un oggetto mesh.
  2. Premere il pulsante Arch MeshToShape.svg Da mesh a forma in Arch → Utilità → Da mesh a forma.

Proprietà

Limitazioni

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Questo strumento può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

new_obj = meshToShape(obj, mark=True, fast=True, tol=0.001, flat=False, cut=True)
  • Il frammento di codice sopra riportato converte il dato obj, una mesh, in una forma, unendo le facce complanari.
  • Se mark è True, gli oggetti non solidi saranno contrassegnati in rosso.
  • Se fast è True usa un algoritmo più veloce costruendo una shell dalle faccette.
  • tol è la tolleranza utilizzata durante la conversione dei segmenti di mesh in contorni.
  • Se flat è True forza i contorni a essere perfettamente planari, per essere sicuri che possano essere convertiti in facce, ma ciò potrebbe lasciare degli spazi vuoti nella shell finale.
  • Se cut è True i fori nelle facce sono fatti per sottrazione.

Esempio:

import Arch, Mesh, BuildRegularGeoms

Box = FreeCAD.ActiveDocument.addObject("Mesh::Cube", "Cube")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

new_obj = Arch.meshToShape(Box)
Arrow-left.svg Arch SplitMesh.svg Dividi Mesh Pagina precedente:
Pagina successiva: Seleziona le mesh non-solid Arch SelectNonManifold.svg Arrow-right.svg